#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SquamaDragonSlayerCFGData
{
	//编号
	int mID;
	//道具id
	int mItemId;
	//道具数量
	int mItemCount;
	//需要魔石数量
	int mDimensityCount;
};

class Fish_SquamaDragonSlayerCFG
{
public:
private:
	static std::auto_ptr<Fish_SquamaDragonSlayerCFG> msSingleton;
public:
	int GetCount();
	const Fish_SquamaDragonSlayerCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SquamaDragonSlayerCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SquamaDragonSlayerCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SquamaDragonSlayerCFGData> mMapData;
};
